package com.caliverse.admin.dynamodb.domain.doc;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class BannerDoc extends DynamoDBDocBase {
    private String bannerAttrib;

    public String getAttribFieldName() {
        return "BannerAttrib";
    }

    @DynamoDbAttribute("BannerAttrib")
    @JsonProperty("BannerAttrib")
    public String getAttribValue() {
        return bannerAttrib;
    }

    public void setAttribValue(String value) {
        this.bannerAttrib = value;
    }
}

